#ifndef SYSTEMSETTINGWIDGET_H
#define SYSTEMSETTINGWIDGET_H
#include <QWidget>
#include <QLabel>
#include <QLineEdit>
#include <QPushButton>
#include <QStackedWidget>
#include "navlistwidget.h"
#include <QStyleOption>
#include <QPainter>
#include <QStackedWidget>
#include "medicalrecordwidget.h"
#include "medicalrecordmanager.h"
#include "parametersettingswidget.h"
#include "hospitalinfo.h"
#include "leadscheme.h"
class  SystemSettingWidget: public QWidget
{
    Q_OBJECT
public:
    SystemSettingWidget(QWidget * parent = NULL);
    virtual  ~SystemSettingWidget();
    void  init();
    void  initLay();
    bool  initConnect();
    void  paintEvent(QPaintEvent *)
      {
         QStyleOption opt;
         opt.initFrom(this);
         QPainter p(this);
         style()->drawPrimitive(QStyle::PE_Widget, &opt, &p, this);//绘制样式
     }
signals:
     void SigClicked(QString objName);
private slots:
     void slotClickedChanged();
     void slotClickedBtn(QString);


private:
    //< 返回
    QPushButton m_btnRet;
    //描述
    QLabel      m_labDes;

    NavListWidget m_NavListWidget;
    QStackedWidget m_stackedWidget;


    MedicalRecordWidget m_MedicalRecordWidget;
    MedicalRecordManager m_MedicalRecordManagerWidget;
    ParameterSettingsWidget m_ParameterSettingsWidget;
    HospitalInfo         m_hospitalinformationWidget;
    LeadScheme           m_LeadSchemeWidget;
};
#endif // SYSTEMSETTINGWIDGET_H
